# ChangeLog for sys-cluster/heartbeat
# Copyright 2000-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-cluster/heartbeat/ChangeLog,v 1.63 2007/03/01 00:48:11 xmerlin Exp $

  01 Mar 2007; Christian Zoffoli <xmerlin@gentoo.org> files/heartbeat-init,
  heartbeat-2.0.8.ebuild:
  Merged some fixes.

  28 Feb 2007; Christian Zoffoli <xmerlin@gentoo.org>
  -heartbeat-2.0.7-r1.ebuild:
  Ebuild cleanup.

*heartbeat-2.0.8 (28 Feb 2007)

  28 Feb 2007; Christian Zoffoli <xmerlin@gentoo.org>
  +files/heartbeat-2.0.8-crm-leaks.patch, heartbeat-2.0.7-r2.ebuild,
  +heartbeat-2.0.8.ebuild:
  Version bump, fixed memory leak. 

  26 Sep 2006; Christian Zoffoli <xmerlin@gentoo.org>
  heartbeat-1.2.5-r1.ebuild, heartbeat-2.0.7-r2.ebuild:
  Stable x86.

*heartbeat-1.2.5-r1 (21 Sep 2006)

  21 Sep 2006; Christian Zoffoli <xmerlin@gentoo.org>
  +heartbeat-1.2.5-r1.ebuild:
  Fixed bug #146374.

*heartbeat-2.0.7-r2 (17 Sep 2006)

  17 Sep 2006; Christian Zoffoli <xmerlin@gentoo.org>
  +files/heartbeat-2.0.7-update-resources-failcount.patch,
  heartbeat-2.0.7-r1.ebuild, +heartbeat-2.0.7-r2.ebuild:
  Update resource failcount in all required cases, fixed bug #147435.

  17 Sep 2006; Christian Zoffoli <xmerlin@gentoo.org>
  -files/heartbeat-1.2.3-lvm.patch,
  -files/heartbeat-1.2.3-misc_security_fixes.patch,
  -heartbeat-1.2.3-r1.ebuild, -heartbeat-1.2.3-r2.ebuild:
  Ebuild cleanup.

*heartbeat-2.0.7-r1 (24 Aug 2006)

  24 Aug 2006; Christian Zoffoli <xmerlin@gentoo.org>
  -heartbeat-2.0.7.ebuild, +heartbeat-2.0.7-r1.ebuild:
  Added some missing deps. Fixed bug #144931.

  18 Aug 2006; Christian Zoffoli <xmerlin@gentoo.org>
  heartbeat-1.2.5.ebuild, heartbeat-2.0.7.ebuild:
  Stable on x86. Fixed bug #141894.

*heartbeat-1.2.5 (16 Aug 2006)

  16 Aug 2006; Christian Zoffoli <xmerlin@gentoo.org>
  +heartbeat-1.2.5.ebuild:
  Version bump.

  14 Aug 2006; Christian Zoffoli <xmerlin@gentoo.org>
  -files/heartbeat-2.0.4-fix-local-DOS-attack.patch,
  -files/heartbeat-2.0.4-op_list.patch, -heartbeat-2.0.4.ebuild,
  -heartbeat-2.0.5.ebuild, -heartbeat-2.0.6.ebuild:
  Ebuild cleanup.

*heartbeat-2.0.7 (14 Aug 2006)

  14 Aug 2006; Christian Zoffoli <xmerlin@gentoo.org>
  +heartbeat-2.0.7.ebuild:
  Version bump.

  24 Jul 2006; Christian Zoffoli <xmerlin@gentoo.org>
  +files/heartbeat-2.0.4-fix-local-DOS-attack.patch, heartbeat-2.0.4.ebuild,
  heartbeat-2.0.5.ebuild, heartbeat-2.0.6.ebuild:
  Local DOS attack fix.

*heartbeat-2.0.6 (20 Jul 2006)

  20 Jul 2006; Christian Zoffoli <xmerlin@gentoo.org>
  +heartbeat-2.0.6.ebuild:
  Version bump.

  15 Jul 2006; Michael Imhof <tantive@gentoo.org> -heartbeat-1.2.3.ebuild:
  Removed old ebuild. Closes #140491.

  14 Jul 2006; Christian Zoffoli <xmerlin@gentoo.org>
  +files/heartbeat-2.0.4-op_list.patch, heartbeat-2.0.4.ebuild:
  op_list fix, thanks to Federico Cuello <fede@lugmen.org.ar>.

  13 Jul 2006; Christian Zoffoli <xmerlin@gentoo.org>
  heartbeat-2.0.4.ebuild, heartbeat-2.0.5.ebuild:
  Added to ~amd64. Added -s390 in 2.0.5 because a missing s390 keyword in 
  dev-python/pygtk-2.4.

*heartbeat-2.0.5 (13 Jul 2006)

  13 Jul 2006; Christian Zoffoli <xmerlin@gentoo.org> files/heartbeat-init,
  +heartbeat-2.0.5.ebuild:
  Added GUI support, fixed bug #131514. Thanks to Neil Katin <gentoo@askneil.com>.
  Improved init script, fixed bug #133170. Thanks to Petre Rodan <kaiowas@gentoo.org>.

  15 Apr 2006; Christian Zoffoli <xmerlin@gentoo.org>
  heartbeat-2.0.4.ebuild:
  Changed ssh dep to virtual/ssh.

*heartbeat-2.0.4 (13 Mar 2006)

  13 Mar 2006; Christian Zoffoli <xmerlin@gentoo.org>
  -heartbeat-2.0.2.ebuild, -heartbeat-2.0.2-r1.ebuild,
  +heartbeat-2.0.4.ebuild:
  Version bump, ebuild cleanup.

  13 Feb 2006; Michael Cummings <mcummings@gentoo.org>
  heartbeat-1.2.3.ebuild, heartbeat-1.2.3-r1.ebuild,
  heartbeat-1.2.3-r2.ebuild, heartbeat-2.0.2.ebuild,
  heartbeat-2.0.2-r1.ebuild:
  Virtuals for perl-core

*heartbeat-2.0.2-r1 (12 Feb 2006)

  12 Feb 2006; Christian Zoffoli <xmerlin@gentoo.org>
  +heartbeat-2.0.2-r1.ebuild:
  ebuilds cleanup, added snmp use flag to 2.0.2.

  30 Dec 2005; <mcumming@gentoo.org> heartbeat-1.2.3-r1.ebuild,
  heartbeat-1.2.3-r2.ebuild, heartbeat-1.2.3.ebuild, heartbeat-2.0.2.ebuild:
  Migrating libnet to perl-core

  25 Dec 2005; Diego Pettenò <flameeyes@gentoo.org> heartbeat-2.0.2.ebuild:
  Use bindnow-flags function instead of -Wl,-z,now.

  17 Dec 2005; Christian Zoffoli <xmerlin@gentoo.org> heartbeat-2.0.2.ebuild:
  removed pils and stonith use flags, fixed bug #115662.

*heartbeat-2.0.2 (13 Nov 2005)

  13 Nov 2005; Christian Zoffoli <xmerlin@gentoo.org> +heartbeat-2.0.2.ebuild:
  heartbeat-2.0.2 added to portage.

  02 Sep 2005; Christian Zoffoli <xmerlin@gentoo.org>
  heartbeat-1.2.3-r1.ebuild, heartbeat-1.2.3-r2.ebuild:
  fixed bug #103793, thanks to Matthew Marlowe <mattm@gentoo.org> for reporting
  the problem.

*heartbeat-1.2.3-r2 (01 Aug 2005)

  01 Aug 2005; Christian Zoffoli <xmerlin@gentoo.org>
  +heartbeat-1.2.3-r2.ebuild:
  experimental ebuild with lvm fixes.

*heartbeat-1.2.3-r1 (29 Jul 2005)

  01 Aug 2005; Christian Zoffoli <xmerlin@gentoo.org>
  -files/heartbeat-1.2.3-debian_security_fixes,
  +files/heartbeat-1.2.3-lvm.patch,
  +files/heartbeat-1.2.3-misc_security_fixes.patch, heartbeat-1.2.3-r1.ebuild:
  patch split, merged security fix, marked stable on x86.

  29 Jul 2005; Christian Zoffoli <xmerlin@gentoo.org>
  +files/heartbeat-1.2.3-debian_security_fixes, +heartbeat-1.2.3-r1.ebuild:
  fixed bug #97175.

  11 Mar 2005; Karol Wojtaszek <sekretarz@gentoo.org> :
  Added to ~amd64, bug #84522

  28 Feb 2005; Christian Zoffoli <xmerlin@gentoo.org> -heartbeat-1.2.2.ebuild:
  removed some old files

  28 Feb 2005; Christian Zoffoli <xmerlin@gentoo.org> heartbeat-1.2.2.ebuild,
  heartbeat-1.2.3.ebuild:
  fixed lazy binding

  22 Jan 2005; Christian Zoffoli <xmerlin@gentoo.org> heartbeat-1.2.2.ebuild,
  heartbeat-1.2.3.ebuild:
  fixed deps heartbeat works only with glib-1.2.*

  22 Jan 2005; Christian Zoffoli <xmerlin@gentoo.org> heartbeat-1.2.2.ebuild,
  heartbeat-1.2.3.ebuild:
  fixed copyright header, added some missing dirs /var/lib/heartbeat/{ckpt,ccm}
  etc

  18 Oct 2004; <iggy@gentoo.org> heartbeat-1.2.3.ebuild:
  bump to x86

  19 Sep 2004; Michael Imhof <tantive@gentoo.org> -heartbeat-1.0.4.ebuild,
  -heartbeat-1.1.5.ebuild:
  Cleaned out old ebuilds.

*heartbeat-1.2.3 (02 Oct 2004)

  02 Oct 2004; <iggy@gentoo.org> -files/heartbeat-1.2.0-failbackfix.patch,
  -heartbeat-1.2.0-r2.ebuild, +heartbeat-1.2.3.ebuild:
  version bump, cleaned up a few older versions and their associated files

  03 Sep 2004; David Holm <dholm@gentoo.org> heartbeat-1.2.2.ebuild:
  Added to ~ppc.

  27 Jun 2004; Aron Griffis <agriffis@gentoo.org> heartbeat-1.0.4.ebuild,
  heartbeat-1.1.5.ebuild, heartbeat-1.2.0-r2.ebuild, heartbeat-1.2.2.ebuild:
  QA - fix use invocation

*heartbeat-1.2.2 (07 Jun 2004)

  07 Jun 2004; Michael Imhof <tantive@gentoo.org> heartbeat-1.2.2.ebuild:
  Version bumped. Closes #50909.

  27 Apr 2004; Aron Griffis <agriffis@gentoo.org> heartbeat-1.2.0-r2.ebuild:
  Add inherit eutils

*heartbeat-1.2.0-r2 (31 Mar 2004)

  31 Mar 2004; Michael Imhof <tantive@gentoo.org> heartbeat-1.1.5.ebuild,
  heartbeat-1.2.0-r1.ebuild, heartbeat-1.2.0-r2.ebuild,
  files/heartbeat-1.2.0-failbackfix.patch:
  Added a patch, added missing dependency. Closes #46281.

*heartbeat-1.2.0-r1 (25 Mar 2004)

  25 Mar 2004; Michael Imhof <tantive@gentoo.org> heartbeat-1.2.0-r1.ebuild,
  heartbeat-1.2.0.ebuild:
  Version bumped. Added a missing dependency. Cleaned out old revision. Closes
  #45200.

*heartbeat-1.2.0 (17 Mar 2004)

  17 Mar 2004; Brian Jackson <iggy@gentoo.org> heartbeat-1.2.0.ebuild:
  version bump

  11 Feb 2004; Brian Jackson <iggy@gentoo.org> heartbeat-1.1.5.ebuild:
  couple of fixes

*heartbeat-1.1.5 (10 Feb 2004)

  10 Feb 2004; Brian Jackson <iggy@gentoo.org> heartbeat-1.1.3.ebuild,
  heartbeat-1.1.4.ebuild, heartbeat-1.1.5.ebuild:
  version bump

*heartbeat-1.1.4 (23 Jan 2004)

  23 Jan 2004; Brian Jackson <iggy@gentoo.org> heartbeat-1.0.4.ebuild,
  heartbeat-1.1.3.ebuild, heartbeat-1.1.4.ebuild:
  bump to 1.1.4 and removed mips keywords

  15 Dec 2003; Brian Jackson <iggy@gentoo.org> heartbeat-1.0.4.ebuild,
  heartbeat-1.1.3.ebuild:
  added a local use flag for ldirectord since it has some pretty hefty deps
  fixes bug #34617, thanks to alekiv@hot.ee for the report

  21 Nov 2003; Brian Jackson <iggy@gentoo.org> heartbeat-1.1.3.ebuild:
  ltmain.sh doesn't like the new POSIX semantics, adding an export POSIX_VER to
  the top, thanks to martin.hajduch@assyst-intl.com for pointing this out

  13 Nov 2003; <tuxus@gentoo.org> heartbeat-1.1.3.ebuild:
  added mips to KEYWORDS

  15 Oct 2003; <iggy@gentoo.org> heartbeat-1.0.4.ebuild:
  I had to fasttrack this to arch due to a known vulerability in the 1.0.3 and earlier
  versions, this fixes a problem pointed out to me that drbd depends on hearbeat

*heartbeat-1.0.4 (15 Oct 2003)

  15 Oct 2003; <iggy@gentoo.org> heartbeat-1.0.3-r1.ebuild,
  heartbeat-1.0.4.ebuild:
  version bump, security fix, upgrade asap and let me know if anything is
  broken, this is getting fasttracked to arch

  09 Oct 2003; <iggy@gentoo.org> files/heartbeat-init:
  small fix in the init script

*heartbeat-1.1.3 (30 Sep 2003)

  30 Sep 2003; <iggy@gentoo.org> heartbeat-1.1.2.ebuild,
  heartbeat-1.1.3.ebuild:
  version bump for the unstable version of heartbeat

  24 Sep 2003; <iggy@gentoo.org> heartbeat-1.1.2.ebuild, files/heartbeat-init:
  a bunch of fixups, it should actually work now, even though I didn't use any
  of his suggestions a thanks is in order for Jan Krueger for bringing all this
  to my attention

*heartbeat-1.1.2 (22 Jul 2003)

  22 Jul 2003; <iggy@gentoo.org> heartbeat-1.1.2.ebuild,
  heartbeat-1.1.2.ebuild:
  version bump the beta version of heartbeat, and add new init script

*heartbeat-1.0.3-r1 (22 Jul 2003)

  22 Jul 2003; <iggy@gentoo.org> heartbeat-1.0.3-r1.ebuild,
  heartbeat-1.0.3.ebuild:
  added new heartbeat init script

  04 Jul 2003; ,,, <iggy@gentoo.org> heartbeat-1.0.3.ebuild,
  heartbeat-1.1.1.ebuild:
  added snmp? to depend

  04 Jul 2003; ,,, <iggy@gentoo.org> metadata.xml:
  forgot the metadata.xml file

*heartbeat-1.1.1 (04 Jul 2003)

  04 Jul 2003; ,,, <iggy@gentoo.org> heartbeat-1.0.3.ebuild,
  heartbeat-1.1.1.ebuild:
  added ebuilds for heartbeat's beta and stable trees

